> For the complete documentation index, see [llms.txt](https://docs.encedo.com/hem-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.encedo.com/hem-api/reference/api-reference/authorization.md).

# Authorization

- [Initialisation](https://docs.encedo.com/hem-api/reference/api-reference/authorization/initialisation.md): Encedo HEM needs to be initialised before it's usable. This process is called Personalisation, and these two API endpoints are dedicated to this operation.
- [User authentication](https://docs.encedo.com/hem-api/reference/api-reference/authorization/user-authentication.md): Those endpoints allow to authenticate the User or Master based on passphrase.
- [External authenticator](https://docs.encedo.com/hem-api/reference/api-reference/authorization/external-authenticator.md)
- [Registration](https://docs.encedo.com/hem-api/reference/api-reference/authorization/external-authenticator/registration.md): Those endpoints allow to register a external authenticator, like Encedo Mobile Authenticator.
- [Authentication](https://docs.encedo.com/hem-api/reference/api-reference/authorization/external-authenticator/authentication.md): Those endpoints allow to authenticate based by External Authenticator.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.encedo.com/hem-api/reference/api-reference/authorization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
